<html><head>
<link rel="stylesheet" href="style.css" type="text/css">
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="Start" href="index.html">
<link title="Index of types" rel=Appendix href="index_types.html">
<link title="Index of values" rel=Appendix href="index_values.html">
<link title="Index of modules" rel=Appendix href="index_modules.html">
<link title="Utils" rel="Chapter" href="Utils.html">
<link title="RandList" rel="Chapter" href="RandList.html">
<link title="Tree" rel="Chapter" href="Tree.html"><title>Utils</title>
</head>
<body>
<code class="code"><span class="keyword">sig</span><br>
&nbsp;&nbsp;<span class="keyword">type</span>&nbsp;cmp&nbsp;=&nbsp;<span class="constructor">Lesser</span>&nbsp;<span class="keywordsign">|</span>&nbsp;<span class="constructor">Equal</span>&nbsp;<span class="keywordsign">|</span>&nbsp;<span class="constructor">Greater</span><br>
&nbsp;&nbsp;<span class="keyword">val</span>&nbsp;comp&nbsp;:&nbsp;int&nbsp;<span class="keywordsign">-&gt;</span>&nbsp;int&nbsp;<span class="keywordsign">-&gt;</span>&nbsp;<span class="constructor">Utils</span>.cmp<br>
&nbsp;&nbsp;<span class="keyword">val</span>&nbsp;unwrap&nbsp;:&nbsp;(<span class="keywordsign">'</span>a,&nbsp;<span class="keywordsign">'</span>a)&nbsp;<span class="constructor">Stdlib</span>.result&nbsp;<span class="keywordsign">-&gt;</span>&nbsp;<span class="keywordsign">'</span>a<br>
&nbsp;&nbsp;<span class="keyword">val</span>&nbsp;contains_ok&nbsp;:&nbsp;(<span class="keywordsign">'</span>a,&nbsp;<span class="keywordsign">'</span>b)&nbsp;<span class="constructor">Stdlib</span>.result&nbsp;list&nbsp;<span class="keywordsign">-&gt;</span>&nbsp;bool<br>
<span class="keyword">end</span></code></body></html>
